SDL_RenderTexture(3)

NAME
SDL_RenderTexture - Copy a portion of the texture to the current rendering target at subpixel precision.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderTexture(SDL_Renderer *renderer, SDL_Texture *texture, const SDL_FRect *srcrect, const SDL_FRect *dstrect);

FUNCTION PARAMETERS

renderer
    the renderer which should copy parts of a texture.

texture
    the source texture.

srcrect
    a pointer to the source rectangle, or NULL for the entire texture.

dstrect
    a pointer to the destination rectangle, or NULL for the entire rendering target.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderTextureRotated(3), SDL_RenderTextureTiled(3)